This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 658450 - Review Request: ATpy - Astronomical Tables in Python
Review Request: ATpy - Astronomical Tables in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Golo Fuchert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 07:08 EST by Sergio Pascual
Modified: 2011-05-10 19:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-10 19:24:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
packages: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2010-11-30 07:08:28 EST
Spec URL: http://sergiopr.fedorapeople.org/ATpy.spec
SRPM URL: http://sergiopr.fedorapeople.org/ATpy-0.9.4-1.fc14.src.rpm
Description: 
ATpy is a high-level Python package providing a way to manipulate tables of 
astronomical data in a uniform way. It provides built-in support for NumPy
recarrays and common astronomical file/database formats (FITS, VO, HDF5, 
and ASCII tables) with a very simple API.
Comment 1 Golo Fuchert 2011-04-25 16:06:41 EDT
Hi,

it seems that the license information in the SPEC file is not correct any more.
Beside of that, I would strongly suggest you to be a little bit more precise in the %files section. Who knows what they will ship in that tarball tomorrow?

Beside of that the package seems to be ready for a review.
Comment 2 Sergio Pascual 2011-04-26 08:06:13 EDT
Hi,

the license in the SPEC comes from the tarball. I know the license in git is MIT, but the tarball is not a git checkout. As soon as upstream make a new release, I will update the licensing information.

Now the %files section is more verbose.

Spec URL: http://sergiopr.fedorapeople.org/ATpy.spec
SRPM URL: http://sergiopr.fedorapeople.org/ATpy-0.9.4-2.fc14.src.rpm
Comment 3 Sergio Pascual 2011-04-26 15:48:01 EDT
With python3 support

Spec URL: http://sergiopr.fedorapeople.org/ATpy.spec
SRPM URL: http://sergiopr.fedorapeople.org/ATpy-0.9.4-3.fc14.src.rpm
Comment 4 Golo Fuchert 2011-04-27 16:06:21 EDT
I see. And you chose GPL+ because of [1], right?:

"A GPL or LGPL licensed package that lacks any statement of what version that it's licensed under in the source code/program output/accompanying docs is technically licensed under *any* version of the GPL or LGPL, not just the version in whatever COPYING file they include."

This should be right. However, the comment in the spec file might be a bit misleading then.

[1] http://fedoraproject.org/wiki/Licensing
Comment 5 Sergio Pascual 2011-04-27 16:58:21 EDT
(In reply to comment #4)
> I see. And you chose GPL+ because of [1], right?:

Yes

> 
> This should be right. However, the comment in the spec file might be a bit
> misleading then.
> 

I agree with that. I can change the comment to "Next release will be under MIT license"
Comment 6 Sergio Pascual 2011-05-02 10:35:25 EDT
New upstream release, under MIT license

Spec URL: http://sergiopr.fedorapeople.org/ATpy.spec
SRPM URL: http://sergiopr.fedorapeople.org/ATpy-0.9.5-1.fc16.src.rpm
Comment 7 Golo Fuchert 2011-05-07 13:35:32 EDT
This is the official review:

-----

[+] = ok
[o] = does not apply
[-] = needs work

-----

[+] rpmlint is quiet enough (false positive):

rpmlint SPECS/ATpy.spec SRPMS/ATpy-0.9.5-1.fc14.src.rpm RPMS/noarch/ATpy-0.9.5-1.fc14.noarch.rpm 
ATpy.src: W: spelling-error %description -l en_US recarrays -> rec arrays, rec-arrays, recalibrate
ATpy.noarch: W: spelling-error %description -l en_US recarrays -> rec arrays, rec-arrays, recalibrate
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+] The package is named according to the guidelines
[+] Spec file name matches base package name
[+] The package follows the Packaging Guidelines
[+] The license is an approved licence (MIT)
[+] The License field matches the actual licence
[+] License file from source file is included in %doc
[+] The spec file is written in American English
[+] The spec file is legible
[+] Packaged sources match with upstream sources (md5)

md5sum ATpy-0.9.5.tar.gz.packaged ATpy-0.9.5.tar.gz.upstream 
9e030de0f6ed9f59aed3f03010af4012  ATpy-0.9.5.tar.gz.packaged
9e030de0f6ed9f59aed3f03010af4012  ATpy-0.9.5.tar.gz.upstream

[+] Package build at least on one primary architecture
[+] ExecludeArch is not known to be needed.
[+] All build dependencies are listed in the BuildRequires section
[o] No locales for the package
[o] Package does not store shared libraries
[+] Package does not bundle copies of system libraries
[o] Package is not relocatable
[+] Package owns all directories it installs.
[+] No files are listed more than once in the %files section
[+] File permissions are set properly (%defattr(...) is used)
[+] Consistent use of macros
[+] Package contains code and documentation only, no content
[+] No large documentation files
[+] %doc files do not affect runtime
[o] No header files included
[o] No static libraries included
[o] library files ending with .so included in devel subpackage
[o] no -devel subpackage
[+] No libtool .la archives included
[o] No GUI application, no need for a .desktop file
[+] Package does not own files or directories that are owned by other packages
[+] All filenames are valid UTF-8

python specific items:

[+] Python eggs are be built from source.
[+] Python eggs do not download any dependencies during the build process.
[o] Not building a compat package.
[o] Not building multiple versions (except python3 version). 

SHOULD items:

[o] Source package does already include license text(s) as a separate file from upstream
[o] No other Non-English languages supported
[+] The package builds in mock
[o] No koji scratch build because of conditional build macros
[o] No "runable" program packaged to test
[+] No "exotic" scriptlets used
[o] Pyhton3 subpackage does not need to require the base package
[o] no pkgconfig(.pc) files included
[o] No file dependencies
[o] No binaries/scripts -> no man pages needed

-----

No further comments, everything seems to be fine.

-----

PACKAGE APPROVED

-----
Comment 8 Sergio Pascual 2011-05-07 19:11:46 EDT
New Package SCM Request
=======================
Package Name: ATpy
Short Description: Astronomical Tables in Python
Owners: sergiopr
Branches: f13 f14 f15 el6 el5
InitialCC:
Comment 9 Jason Tibbitts 2011-05-10 11:13:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.